window.addEventListener('DOMContentLoaded', function() {
	'use strict';
	var urlServer="";
	var JsonListCatTem="";
	var countIndex=-1;
	 var arrayCatCerca=new Array(catCerca);
	sessionStorage.setItem('existlistreseult', 'false');
	localStorage.setItem('existlistreseult', 'true');
	localStorage.setItem('pagina', 'false');



	/*Variables de navegacion categorias cerca de ti*/
	var navegaCat = localStorage['navegaCat'];
	//localStorage['listCatCerca']="";
	/*Variables de navegacion*/
	
	var msnbuscando= document.getElementById('msnbuscando');
	var listCat=document.getElementById('listCat');
	var searchInput = document.getElementById('term');
	var requestCat = null;
	var latitud="0";
	var longitud="0";
	latitud=localStorage["lat"];
    longitud=localStorage["long"];

	/*Funcion para realizar un back*/
	var frmAtras = document.querySelector('form[name="frmatras"]');

	frmAtras.addEventListener('submit', function(e) {
      e.preventDefault();
     retrocede();
  	}, false);

	function retrocede() 
	{
 		window.history.go(-1);
	}
	/*Fin de Funcion para realizar un back*/


	/*FINSION PARA BUSCAR*/
	var searchInput = document.getElementById('elqueb');	
	var search=document.querySelector('form[name="frmBuscar"]');

	search.addEventListener('submit', function(e) 
	 {

	     e.preventDefault();
	     GoSearch();
  	 }, false);

	function GoSearch()
	{			
		document.location = 'listResultSearch.html?q='+searchInput.value;  
	    document.location.href = 'listResultSearch.html?q='+searchInput.value;
	    searchInput.value="";
	}
	/*FIN DE FUNCION PARA BUSCAR*/

	/*
	 /*var loc = document.location.href;
	   var getString = loc.split('?')[1];
	   var GET = getString.split('&');
	   var get = {};//this object will be filled with the key-value pairs and returned.

	   for(var i = 0, l = GET.length; i < l; i++){
	      var tmp = GET[i].split('=');
	      get[tmp[0]] = unescape(decodeURI(tmp[1]));
	   }
	  alert(get.id+" "+get.cuent);*/

	  

	//if(navegaCat=="true")
	//{
	//	alert('Consulta');

		localStorage['navegaCat']="false";
		navigator.mozL10n.once(llamaCat(latitud, longitud));
	//}
	//else
	//{
	//	alert('Listado guardado Consulta');
	//	JsonListCatTem=localStorage['listCatCerca'];
	//}

	function llamaCat(latitud, longitud)
	{

			/*while (listCat.firstChild)
			{
				//contListResultSearch.removeChild(contListResultSearch.firstChild);
			}*/
		var urlCat=serverCategoriasCercadeti(latitud, longitud);
		if(requestCat && requestCat.abort) {
	      requestCat.abort();
	    }
	   requestCat = new XMLHttpRequest({ mozSystem: true });
	   requestCat.open('get', urlCat, true);
	   requestCat.responseType = 'json';
	   requestCat.addEventListener('load', onRequestLoadCat);
	   requestCat.send();
	}

function onRequestLoadCat() {
	//alert(arrayCatCerca.length);
 	var jsonresult = requestCat.response;
 	var arregloCat=jsonresult;
	 	if(arregloCat===0)
	 	{

	 	}
	 	else
	 	{
	 		msnbuscando.hidden = true;
	 		arregloCat.forEach(function(doc) {
	 			countIndex=countIndex+1;
	 			var cat=new catCerca();
	 			cat.idcat=doc.IdCat;
	 			cat.namecat=doc.NameCat;
	 			cat.totalneg=doc.CountCat;
	 			arrayCatCerca[countIndex]=cat;

	 		//nombre de la categoria	
	 		var namecat=document.createElement('h3');
	 		namecat.textContent=doc.NameCat;

	 		//
	 		var numNegocios=document.createElement('p');
	 		numNegocios.className = numNegocios.className + "descriptionlist";
	 		numNegocios.textContent="Negocios: "+doc.CountCat+" cerca de ti.";


	 		var contCat = document.createElement('a');
	 		contCat.href = "listadoResultado.html?idcat="+doc.IdCat+"&namecat="+doc.NameCat;
	 		contCat.appendChild(namecat);
	 		contCat.appendChild(numNegocios);

	 		/*docLink.addEventListener('click', function(evt) {
	          evt.preventDefault();
	          window.open(evt.target.href, 'overlay');
	        });*/

	        var divContPrincipal = document.createElement('div');
	        divContPrincipal.className = divContPrincipal.className + "listlink";
	        divContPrincipal.appendChild(contCat);
	      
	        listCat.appendChild(divContPrincipal);
	 		});
	 	}

 	}
	 
});